<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td background="images/tmenu2.jpg" height="67">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="204" align="left"><img src="images/tmenu1.jpg" width="204" height="67"/></td>
          <td align="center" widht="100%">
		  <table border="0" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
		  </td>
          <td width="83" align="right"><img src="images/tmenu3.jpg" width="83" height="67"/></td>
        </tr>
      </table>
	  </td>
    </tr>
    <tr>
      <td height="219" background="images/head3.jpg">
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="494"><img src="images/head1.jpg" width="494" height="219"/></td>
			<td align="right" width="100%">
			<table width="274"  border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td height="219" background="images/head2.jpg">
				<table  border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td style="padding-right:15;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
					<td align="left">
					<span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
					<br/>
					  <span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span>
					  </td>
				  </tr>
				</table>
				</td>
			  </tr>
			</table>
			</td>
		  </tr>
		</table>
	</td>
    </tr>
    <tr>
      <td width="100%" height="100%">
        <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td height="61" align="left" valign="top" background="images/cbg.gif"><img src="images/text1_bg.gif" width="506" height="61"/></td>
            <td width="274" rowspan="3" align="right" valign="top" background="images/cbg.gif"><table width="244" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="214" align="right" valign="top" background="images/smenubg.jpg"><table width="214" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="7" align="right" valign="top"></td>
                        <td width="200" align="center" valign="top"><table width="180" border="0" cellspacing="0" cellpadding="0">
                            <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                        </table></td>
                        <td width="7" align="right" valign="top"><img src="images/menu_bg31.gif" width="7" height="45"/></td>
                      </tr>
                  </table></td>
                  <td width="30" align="right" valign="top"><img src="images/menu_bg32.gif" width="30" height="45"/></td>
                </tr>
                <tr align="left">
                  <td colspan="2"><img src="images/menu_bg2.gif" width="214" height="43"/></td>
                </tr>
              </table>
                <br/>
                <img src="images/blank.gif" width="274" height="1"/></td>
          </tr>
          <tr>
            <td width="100%" height="100%" valign="top" background="images/cbg.gif" style="padding-left:30px " name="SB_stretch"><p class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></p>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
                <br/></td>
          </tr>
          <tr>
            <td height="120" align="right" background="images/cbg.gif"><p class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></p>
                <br/></td>
          </tr>
        </table>
</td>
    </tr>
  </table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="170" align="left" class="smenu" style="padding:5px 0"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="10" align="center"><img src="images/bullet2.gif" width="6" height="14"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="170" align="left" style="padding:5px 0"><a href='{@HREF}'  class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="10" align="center"><img src="images/bullet2.gif" width="6" height="14"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td height="6" colspan="2"></td>
</tr>
<tr>
<td height="1" colspan="2" bgcolor="#FFFFFF"></td>
</tr>
<tr>
<td height="6" colspan="2"></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
