<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-color: white;" summary="">
	<TR>
		<TD height="332" valign="top" style="background-image: url('images/header_bg.jpg'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
							<tr>
								<td style="height: 100%; padding: 0 460px 0 65px;">
									<!-- LOGO -->
										<table cellpadding="0" cellspacing="0" summary="">
											<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
											<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
											<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
										</table>
									<!-- END LOGO -->
								</td>
							</tr>
							<tr>
								<td style="height: 67px; padding-right: 90px;">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" summary="">
										<tr>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/bg.jpg');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_l.jpg'); background-repeat: repeat-y;">
				<tr>
					<td style="background-image: url('images/bg_r.jpg'); background-position: right; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_lb.jpg'); background-position: bottom left; background-repeat: no-repeat;">
							<tr>
								<td style="background-image: url('images/bg_rb.jpg'); background-position: bottom right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
										<tr valign="top">
											<td style="padding-top: 20px;">
												<table cellpadding="0" cellspacing="0" border="0" summary="" align="center" width="199">
													<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
													<tr>
														<td valign="top" style="background-image: url('images/submenu_bg.jpg'); background-repeat: repeat-y;">
															<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 161; background-image: url('images/submenu_bbg.jpg'); background-position: bottom; background-repeat: no-repeat;">
																<tr>
																	<td valign="top">
																		<!-- SUBMENU -->
																		<table cellpadding="0" cellspacing="0" width="155" align="center" summary="">
																			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																			<tr><td colspan="2" style="height: 10px;"></td></tr>
																		</table>
																		<!-- END SUBMENU -->
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
												<div style="width:230px; height:1px;"><spacer type="block" width="230" height="1"/></div>
											</td>
											<td width="100%" class="pageContent" style="padding: 20px 100px 30px 30px;">
												<!-- CONTENT -->
													<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
													<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
													<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="70" style="background-image: url('images/footer_bg.jpg'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/footer_r.jpg'); background-position: top right; background-repeat: no-repeat; padding-right: 90px;">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 24px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px; width: 100%; height: 24px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="height: 1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
				<td width="5"></td>
				<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
				<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
