<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-color: white;" summary="">
	<TR>
		<TD height="119" style="background-image: url('images/logo_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/logo_l.gif'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/logo_r.gif'); background-position: right; background-repeat: no-repeat; padding: 0 40px;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="height: 100%;">
							<tr>
								<td>
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" summary="">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
								<td>
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" align="center" summary="">
										<tr>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td style="background-image: url('images/submenu_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 217px; height: 100%; background-image: url('images/submenu_bg.jpg'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" align="right">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 177px; height: 216px; background-image: url('images/submenu_mbg.gif'); background-repeat: repeat-y;">
										<tr>
											<td height="184" valign="top" style="background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="169" align="center" summary="">
													<tr><td colspan="2" height="40"></td></tr>
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													<tr><td colspan="2" height="40"></td></tr>
												</table>
												<!-- END SUBMENU -->
											</td>
										</tr>
										<tr><td height="32" style="background-image: url('images/submenu_bbg.gif'); background-repeat: no-repeat;"></td></tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td width="100%" class="bg" style="width: 100%; height: 100%; background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" class="pageContent" style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat; padding: 245px 34px 0 34px;">
									<!-- CONTENT -->
									<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
						</table>
					</td>
					<td valign="top" style="background-image: url('images/rbg.gif');"><img src="images/rbg.jpg" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="217" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_r.jpg'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td align="right" valign="top" class="footer" style="background-image: url('images/footer_l.jpg'); background-position: left; background-repeat: no-repeat; padding: 80px 55px 0 0;">
					<!-- FOOTER -->
					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 50px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 7px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 50px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 7px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
