<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="224" class="header-bg" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td>
						<div style="width:49px; height:0px;"><span></span></div>
					</td>
					<td align="center" class="company" style="padding-top: 80px;">
						<!-- LOGO -->
						<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
						<div style="width:0px; height:5px;"><span></span></div>
						<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
						<!-- END LOGO -->
						<div style="width:200px; height:0px;"><span></span></div>
					</td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
							<tr>
								<td height="100%" valign="bottom" style="padding: 30px 5px 17px 53px;">
									<div class="slogan" style="width: 400px;">
										<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
									</div>
								</td>
							</tr>
							<tr>
								<td height="51">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                            <xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
						</table>
					</td>
					<td><div style="width:50px; height:0px;"><span></span></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="2"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td>
						<div style="width:49px; height:0px;"><span></span></div>
					</td>
					<td valign="top" class="submenu-bg" style="padding: 18px 0;">
						<!-- SUBMENU -->
               			<table cellpadding="0" cellspacing="0" width="100%">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
               			</table>
						<!-- END SUBMENU -->
						<div style="width:200px; height:0px;"><span></span></div>
					</td>
					<td width="100%" valign="top" class="pageContent" style="padding: 15px 49px 15px 15px; background-image: url('images/bg.gif'); background-repeat: repeat-x;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
							</tr>
						</table>
						<div style="width:0px; height:15px;"><span></span></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="2"></TD></TR>
	<TR>
		<TD height="51" style="padding: 0 49px; background-color: #E3E3E3; background-image: url('images/bmenu_bg.gif');">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>
		<!-- END BOOTTOM MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="58" class="footer" style="padding: 0 49px; background-color: #FBFBFB; background-image: url('images/footer_bg.gif');">
		<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 30px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
				<td style="padding-left: 30px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div class="submenu-hr" style="height:2px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>                                                                                
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><img src="images/bmenu_bullet.gif" border="0" alt=""/></td>
				<td width="5"></td>
				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
