<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable" style="background-image: url('images/alltable_bgrpt.gif');">
        <tr height="124">
        <td rowspan="3" style="background-image:url(images/alltable_left_bg.jpg); background-position: top right; background-repeat: no-repeat;"><div style="width:40px; height:0px;"><spacer/></div></td>
        <td colspan="2" style="background-image:url(images/alltable_header.jpg); background-position: top left; background-repeat: no-repeat; padding:9px 0px 0px 43px;">
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr>
        	<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        	<td style="padding-left:7px;">
        		<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        	</td>
        	<td style="padding-left:53px;">
        		<div class="slogan-top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	</tr>
        	</table>
        </td>
        <td rowspan="3" width="100%" style="background-image:url(images/alltable_right_bgrpt.jpg); background-position: top left; background-repeat: repeat-x;"></td>
        </tr>

        <tr height="84">
        <td colspan="2" class="menu-bg" style="padding:7px 7px 7px 25px; background-image: url('images/menu_bg.gif'); background-repeat: no-repeat;">
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="43">
        	<td style="padding-left:20px;">
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        	</td>
        	</tr>
        	<tr height="3" bgcolor="#ffffff"><td></td></tr>
        	<tr height="24">
        	<td style="padding-left:20px;">
        		<!--secondmenu /-->
        		<!-- CALL SUB-MENU -->
        		<xsl:call-template name="SUB-MENU">
        			<xsl:with-param name="pageID" select="@ID"/>
        		</xsl:call-template>
        		<!--/ secondmenu-->
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="100%">
        <td valign="top" class="visual" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        	<div style="width:304px; height:0px"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="602">
        	<tr height="147">
        	<td style="padding-left:16px;">
        		<div class="slogan-visual"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	</tr>
        	<tr height="455">
        	<td></td>
        	</tr>
        	</table>
        </td>
        <td valign="top" bgcolor="#ffffff">
        	<div style="width:396px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="40">
        	<td class="pageheader" style="padding-left:30px;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	<tr>
        	<td class="thatext" style="padding:0px 20px 30px 30px;">

        		<table cellpadding="0" cellspacing="0" border="0">
        			<tr><td width="350" class="thatext">
		        		<xsl:apply-templates select="PAGE-CONTENT"/>
        			</td></tr>
        		</table>

        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="100">
        <td></td>
        <td colspan="2" valign="top" style="padding:20px 20px 0px 17px;">
        		<!--bottomdmenu /-->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        		<!--/ bottommenu-->
        		<table cellpadding="0" cellspacing="0" border="0" style="margin:7px 0px 7px 0px;">
        		<tr>
        		<td class="copy">
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		</td>
        		</tr>
        		</table>
        </td>
        <td></td>
        </tr>
        </table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0">
	   		<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
        				
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        		<table cellpadding="0" cellspacing="0" border="0">
        		<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
        		</tr>
        		</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        		<table cellpadding="0" cellspacing="0" border="0">
        		<tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
        		</tr>
        		</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
  		<table cellpadding="0" cellspacing="0" border="0">
   			<tr>		
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
            	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
       		<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:28px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
