<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
    <TR>
        <TD height="143" style="background-image: url('images/top_l.gif'); background-repeat: no-repeat;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/top_r.gif'); background-position: top right; background-repeat: no-repeat;">
                <tr>
                    <td align="center"><img src="images/top.gif" border="0" alt=""/></td>
                </tr>
            </table>
        </TD>
    </TR>
	<TR>
		<TD height="190" style="background-image: url('images/header_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="background-image: url('images/header_r.jpg'); background-position: top right; background-repeat: no-repeat; padding: 0 38px;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td height="100%">
                            		<!-- LOGO -->
              						<table cellpadding="0" cellspacing="0" align="center">
              							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
              							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
              							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
              						</table>
                            		<!-- END LOGO -->
                                </td>
                            </tr>
                            <tr>
                                <td height="35">
                            		<!-- MENU -->
                          			<table cellpadding="0" cellspacing="0" align="right" class="menu-bg" style="height: 100%;">
                          				<tr>
                          					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                            <xsl:call-template name="TOP-MENU"/>
                          					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                          				</tr>
                          			</table>
                            		<!-- END MENU -->
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" class="bg" style="background-image: url('images/bg_b.gif'); background-position: bottom; background-repeat: repeat-x;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
                <tr>
                    <td style="background-image: url('images/bg_r.gif'); background-position: right; background-repeat: repeat-y;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_tl.gif'); background-repeat: no-repeat;">
                            <tr>
                                <td style="background-image: url('images/bg_bl.jpg'); background-position: bottom left; background-repeat: no-repeat;">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_br.jpg'); background-position: bottom right; background-repeat: no-repeat;">
                                        <tr>
                                            <td style="padding: 15px 40px 70px 40px;">
                                                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                                    <tr valign="top">
                                                        <td>
                                                            <table cellpadding="0" cellspacing="0" border="0" align="center" class="menu-bg" style="width: 160px; height: 164px;">
                                                                <tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
                                                                <tr>
                                                                    <td height="100%" valign="top" style="background-image: url('images/submenu_bbg.gif'); background-position: bottom left; background-repeat: no-repeat; padding: 10px 5px;">
                                                                		<!-- SUBMENU -->
                                                              			<table cellpadding="0" cellspacing="0" width="125">
                                                                            <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                                                              			</table>
                                                                		<!-- END SUBMENU -->
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                            <div style="width:204px; height:0px;"><span></span></div>
                                                        </td>
                                                        <td width="100%" class="pageContent" style="padding-right: 50px;">
                                                    		<!-- CONTENT -->
                                                    		<table cellpadding="0" cellspacing="0" border="0">
                                                    			<tr>
                                                    				<td style="padding-right: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                                                    				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                                    			</tr>
                                                    		</table>
                                                    		<div style="width:0px; height:15px;"><span></span></div>
                                                    		<xsl:apply-templates select="PAGE-CONTENT"/>
                                                    		<!-- END CONTENT -->
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="59" align="right"><img src="images/footer_bg.jpg" border="0" alt=""/></TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="15"></td></tr>
	</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
